Skip to main content
POST
/
v1
/
settlements
/
{settlement-id}
/
add_on_charges
Create an AddOnCharge for a Settlement
curl --request POST \
  --url https://api.tread-horizon.com/v1/settlements/{settlement-id}/add_on_charges \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "percentage": 0,
  "quantity": 123,
  "rate": 123,
  "add_on_rate_type": "RateForEach",
  "add_on_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_id": "<string>",
  "accounting_id": "<string>",
  "load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "revenue_rate_value": 123,
  "revenue_cost_rate_type": "RateForEach",
  "rebill_revenue_rate_value": 123,
  "rebill_percentage": 123,
  "cost_rate_value": 123
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "percentage": "<string>",
    "quantity": "<string>",
    "total_amount": "<string>",
    "external_id": "<string>",
    "revenue_rate_value": "<string>",
    "revenue_cost_rate_type": "RateForEach",
    "add_on_requestable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "add_on_requestable_type": "Job",
    "add_on_applicable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "add_on_applicable_type": "Invoice",
    "accounting_id": "<string>",
    "rate": "<string>",
    "add_on_rate_type": "RateForEach",
    "rebill_revenue_rate_value": "<string>",
    "rebill_total_amount": "<string>",
    "add_on": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "invoice": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "load": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "job": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "job_id": "<string>",
      "loads_count": 123,
      "job_start_at": "2023-11-07T05:31:56Z",
      "unit_of_measure": "Load"
    },
    "rebill_percentage": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

settlement-id
string
required

Settlement ID

Body

application/json
name
string
required
percentage
number
Required range: -100 <= x <= 100
quantity
number
rate
number
deprecated

Deprecated in favor of revenue_rate_value.

add_on_rate_type
enum<string>
default:RateForEach
Available options:
RateForEach,
RatePercentOfTotal,
PerLoad,
FuelSurcharge
Example:

"RateForEach"

add_on_id
string<uuid> | null
invoice_id
string<uuid>
deprecated
external_id
string | null
accounting_id
string | null
load_id
string<uuid>
revenue_rate_value
number

The cost rate or buy price of the add on.

revenue_cost_rate_type
enum<string>
default:RateForEach
Available options:
RateForEach,
RatePercentOfTotal,
PerLoad,
FuelSurcharge
Example:

"RateForEach"

rebill_revenue_rate_value
number | null
rebill_percentage
number | null
cost_rate_value
number | null

The cost rate or buy price of the add on.

Response

Created

data
AddOnCharge-Read · object
required